#!/usr/bin/env python
# -*- coding: utf-8 -*-
###############################################################################
# $Id: rraster.py 34432 2016-06-25 17:16:31Z rouault $
#
# Project:  GDAL/OGR Test Suite
# Purpose:  Test RRASTER format driver.
# Author:   Even Rouault, <even dot rouault at spatialys dot com>
#
###############################################################################
# Copyright (c) 2016, Even Rouault, <even dot rouault at spatialys dot com>
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
###############################################################################

import sys
from osgeo import gdal

sys.path.append( '../pymod' )

import gdaltest

###############################################################################
# Perform simple read test.
def rraster_1():

    tst = gdaltest.GDALTest( 'RRASTER', 'byte_rraster.grd', 1, 4672 )
    ref_ds = gdal.Open('data/byte.tif')
    ret = tst.testOpen( check_prj = ref_ds.GetProjectionRef(),
                        check_gt = ref_ds.GetGeoTransform(),
                        check_min = 74,
                        check_max = 255 )
    return ret

gdaltest_list = [
    rraster_1,
    ]



if __name__ == '__main__':

    gdaltest.setup_run( 'RRASTER' )

    gdaltest.run_tests( gdaltest_list )

    gdaltest.summarize()

